#include <chronoptics/tof/csf_reader.hpp>
#include <iostream>

namespace tof = chronoptics::tof;

int main() {
  /* CSF file to read from */
  const char* csfFile = "frames.csf";

  tof::CsfReader reader(csfFile);

  auto streams = reader.streams();

  /* Get the number of frames found for each given data stream*/
  for (auto& stream : streams) {
    std::cout << "Frame type: "
              << tof::frame_type_to_string(stream.frame_type())
              << ", Frame id: " << stream.frame_id()
              << ", Number of frames: " << reader.stream_count(stream) << "\n";
  }

  /* Read a frame */
  tof::Data frame = reader.read_frame();
}
